/*
 * xmisc.h - header for xmisc.c

 * Copyright 1994, 16th November.
 * By Peter Chang
 * peterc@v2.ph.man.ac.uk

 * See notice in misc.h for details of permissions and warranty of this
 * software.

 *
 * $Log: xmisc.h,v $
 * Revision 2.5  1994/11/16  09:19:36  peter
 * Putting xpgs-2.5 in trunk.
 *
 * Revision 2.0.1.1  1994/11/16  09:10:32  peter
 * Import of xpgs-2.5: archive of new release to alt.sources (11/94)
 *
 *
 */

#include "misc.h"

typedef struct { /* window structure with backing */
   Window win;
   Pixmap pix;
   int w, h;
   int x,y;
} Xss_w;

typedef struct { /* drawable structure */
   Drawable d;
   int w, h;
   int x,y;
} Xss_d;

typedef struct { /* button structure */
   int x, y;
} Xss_b;

extern char dstring[LLEN];
extern Display *dpy;
extern XFontStruct *font_info;
extern GC gcpx, gcpxor;

int handleexpose(Window wev);

void initpopup(Window root, int fg, int bg);
int popupquery(char *label);
void destroypopup(void);
